use actix_web::{HttpResponse, Responder};
use rinja::Template;

use crate::utils::ApplicationError;

#[derive(Template)]
#[template(path = "imprint.html")]
struct ImprintTemplate {}

#[actix_web::get("/imprint")]
pub async fn get_imprint() -> Result<impl Responder, ApplicationError> {
    let template = ImprintTemplate {};

    Ok(HttpResponse::Ok().body(template.render()?))
}
